Subject: bug#15797: 24.3.50; Info: Mention cache-long-scans

From: Michael Heerdegen <[email-masked]>
Date: Sat, 09 Nov 2013 03:37:49 +0100

Nathan Trapuzzano <[email-masked]> writes:

> Sorry I'm late to the party, but this broke linum and nlinum for me,
> using the defaults.  Any time I insert a new line, the line numbers get
> totally messed up--most of them don't even display any more.  And then
> using motion commands sometimes results in really bizarre behavior
> (apparently only with linum/nlinum so far), such as when I do
> forwad-sexp and point goes to the end of some sexp other than the one at
> point.

I see something probably related.  Sometimes, evaluating

  (line-number-at-pos)

at the end of my .emacs (10000 lines) needs over a second.  Doing

  (setq cache-long-scans nil)

immediately fixes this.  Dunno yet how to provoke the problem.

Regards,

Michael.